> ## Documentation Index
> Fetch the complete documentation index at: https://docs.platform.statista.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Infographics



## OpenAPI

````yaml GET /v1/infographics
openapi: 3.0.0
info:
  title: The Statista Discovery API
  contact:
    name: API Support
    email: api@statista.com
  version: 2.8.0
  description: The Discovery-Starter & Discovery-Advanced Statista API
servers:
  - url: https://api.statista.ai/
    description: Single Server endpoint
    variables: {}
security:
  - ApiKeyAuth: []
tags: []
paths:
  /v1/infographics:
    get:
      operationId: Infographics_findInfographics
      parameters:
        - name: q
          in: query
          required: false
          description: >-
            The query string to search for content.

            If omitted or empty/whitespace-only, the API uses a broad default
            query.
          schema:
            type: string
          explode: false
        - name: platform
          in: query
          required: false
          description: |-
            The platform to search for content.
            Defaults to `en` which means English.
          schema:
            $ref: '#/components/schemas/Api.Request.DiscoveryPlatform'
          explode: false
        - name: offset
          in: query
          required: false
          description: |-
            The number of items will be skipped before the first result.
            The default value for `offset` is 0.
            This is useful for pagination.
            Could be used in combination with `size`.
          schema:
            type: integer
            format: uint32
            minimum: 0
            default: 0
          explode: false
        - name: size
          in: query
          required: false
          description: |-
            The max. value depends on which API Package you are using.
            The default value for `size` is 10.
            See API-Packages for more information.

            An alias for `size` is `limit`
          schema:
            type: integer
            format: uint32
            minimum: 0
            default: 10
          explode: false
        - name: page
          in: query
          required: false
          description: |-
            The page number to return.
            The default value for `page` is 1.
            This is useful for pagination.
            Could be used in combination with `size`.
          schema:
            type: integer
            format: uint32
            minimum: 1
            default: 1
          explode: false
        - name: date_from
          in: query
          required: false
          description: |-
            The start date to search for content.
            All content published after this date will be returned.
            We accept a variety of date formats, e.g. `YYYY-MM-DD`.
            For example, `2023-01-01` will return all content published
            after or on the January 1st, 2023.
            If not set, we will use 3 months into the past as the default value.
          schema:
            $ref: '#/components/schemas/Api.Request.DateFrom'
          explode: false
        - name: date_to
          in: query
          required: false
          description: |-
            The end date to search for content.
            All content published before this date will be returned.
            We accept a variety of date formats, e.g. `YYYY-MM-DD`.
            For example, `2023-01-01` will return all content published
            before or on the January 1st, 2023.
            If not set, the current date is used.
          schema:
            $ref: '#/components/schemas/Api.Request.DateTo'
          explode: false
        - name: sort
          in: query
          required: false
          description: |-
            Choose how you want the results to be ordered:
            0 – Best match first (sorted by relevance)
            1 – Most recent first (sorted by publication date)
            If omitted, results are ordered by best match.
          schema:
            $ref: '#/components/schemas/Type.SortBy'
          explode: false
      responses:
        '200':
          description: The request has succeeded.
          content:
            application/json:
              schema:
                type: object
                required:
                  - items
                  - total_count
                properties:
                  items:
                    type: array
                    items:
                      $ref: '#/components/schemas/Api.Response.Infographic'
                    description: A list of results returned for the current request.
                  total_count:
                    type: integer
                    format: uint32
                    description: The total number of available items matching the request.
                  total_pages:
                    type: integer
                    format: uint32
                    description: >-
                      The total number of pages available, based on the selected
                      size parameter
        '400':
          description: The server could not understand the request due to invalid syntax.
        '401':
          description: Access is unauthorized.
        '403':
          description: Access is forbidden.
components:
  schemas:
    Api.Request.DiscoveryPlatform:
      type: string
      enum:
        - de
        - en
        - en-de
    Api.Request.DateFrom:
      type: string
      format: date-time
      description: >-
        The maximum search depth is limited to 20 years from today while the
        default is 3 months from today. Supported formats are

        - RFC 33939 (`%Y-%m-%dT%H:%M:%S` like in ISO 8601)

        - `%Y-%m-%d %H:%M:%S` - example `2024-03-07 12:45:38`

        - `%d.%m.%Y %H:%M:%S` - example `03.07.2024 12:45:38`

        - `%Y/%m/%d %H:%M:%S` - example `2024/03/07 12:45:38`

        - `%Y-%m-%d` - example `2024-03-07` (in this case we assume 00:00:00 as
        time for Start and 23:59:59 for End)

        - `%d.%m.%Y` - example `03.07.2024` (in this case we assume 00:00:00 as
        time for Start and 23:59:59 for End)

        - `%Y/%m/%d` - example `2024/03/07` (in this case we assume 00:00:00 as
        time for Start and 23:59:59 for End)
    Api.Request.DateTo:
      type: string
      format: date-time
      description: >-
        Supported formats are

        - RFC 33939 (`%Y-%m-%dT%H:%M:%S` like in ISO 8601)

        - `%Y-%m-%d %H:%M:%S` - example `2024-03-07 12:45:38`

        - `%d.%m.%Y %H:%M:%S` - example `03.07.2024 12:45:38`

        - `%Y/%m/%d %H:%M:%S` - example `2024/03/07 12:45:38`

        - `%Y-%m-%d` - example `2024-03-07` (in this case we assume 00:00:00 as
        time for Start and 23:59:59 for End)

        - `%d.%m.%Y` - example `03.07.2024` (in this case we assume 00:00:00 as
        time for Start and 23:59:59 for End)

        - `%Y/%m/%d` - example `2024/03/07` (in this case we assume 00:00:00 as
        time for Start and 23:59:59 for End)
    Type.SortBy:
      type: number
      enum:
        - 0
        - 1
    Api.Response.Infographic:
      type: object
      properties:
        teaser_image_urls:
          type: array
          items:
            $ref: '#/components/schemas/Api.Response.TeaserImage'
          description: A list of preview images for this content.
      allOf:
        - $ref: '#/components/schemas/Api.Response.Base'
    Api.Response.TeaserImage:
      type: object
      required:
        - width
        - src
      properties:
        width:
          type: integer
          format: uint32
          description: The width of the image in pixels.
        src:
          type: string
          description: The image link (URL).
    Api.Response.Base:
      type: object
      required:
        - identifier
        - title
        - link
        - date
        - platform
        - subject
        - is_premium
      properties:
        identifier:
          allOf:
            - $ref: '#/components/schemas/Type.Id'
          description: >-
            A unique number for this content. It helps find or refer to this
            data.
        title:
          type: string
          description: The name of the content. It tells what the data is about.
        description:
          type: string
          description: >-
            Optional: A short text that explains the most important facts in the
            data. Available for Advanced API key
        link:
          type: string
          description: >-
            The website address (URL) where you can see the full content on the
            Statista platform.
        date:
          type: string
          format: date-time
          description: 'The date when the data was published. Format: YYYY-MM-DDTHH:mm:ssZ'
        platform:
          allOf:
            - $ref: '#/components/schemas/Type.LanguageLocale'
          description: The language of the page or platform.
        subject:
          type: string
          description: A short summary of what the data shows.
        is_premium:
          type: boolean
          description: A true/false value. Indicates on paid and free content.
        industries:
          type: array
          items:
            $ref: '#/components/schemas/Api.Response.Industry'
          description: 'Optional: A list of industries related to the data.'
    Type.Id:
      type: integer
      format: uint64
    Type.LanguageLocale:
      type: string
      enum:
        - de
        - en
        - fr
        - es
    Api.Response.Industry:
      type: object
      required:
        - name
      properties:
        id:
          allOf:
            - $ref: '#/components/schemas/Type.IndustryId'
          description: The unique identifier for the industry.
        name:
          type: string
          description: The name of the industry.
    Type.IndustryId:
      type: integer
      format: uint16
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````